libemail-valid-perl_1.195-1_all.deb


Advertisement

Description

libemail-valid-perl - Perl module for checking the validity of Internet email addresses

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libemail-valid-perl
Package version 1.195
Package release 1
Package architecture all
Package type deb
Installed size 89 B
Download size 21.67 KB
Official Mirror ftp.br.debian.org
Email::Valid determines whether an email address is well-formed, and
optionally, whether a mail host exists for the domain.

Alternatives

Package Version Architecture Repository
libemail-valid-perl_1.195-1_all.deb 1.195 all Debian Main
libemail-valid-perl - - -

Requires

Name Value
libmailtools-perl -
libnet-dns-perl -
libnet-domain-tld-perl -
netbase -
perl -

Download

Type URL
Binary Package libemail-valid-perl_1.195-1_all.deb
Source Package libemail-valid-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libemail-valid-perl deb package:
    # sudo apt-get install libemail-valid-perl

Files

Path
/usr/share/doc/libemail-valid-perl/changelog.Debian.gz
/usr/share/doc/libemail-valid-perl/changelog.gz
/usr/share/doc/libemail-valid-perl/copyright
/usr/share/doc/libemail-valid-perl/examples/valid.t.gz
/usr/share/man/man3/Email::Valid.3pm.gz
/usr/share/perl5/Email/Valid.pm

Changelog

2014-09-14 - Salvatore Bonaccorso <carnil@debian.org>
libemail-valid-perl (1.195-1) unstable; urgency=medium
* Team upload.
* Update Vcs-Browser URL to cgit web frontend
* Add debian/upstream/metadata
* Imported upstream version 1.195
2014-05-29 - gregor herrmann <gregoa@debian.org>
libemail-valid-perl (1.194-1) unstable; urgency=medium
* New upstream release.
2014-05-05 - gregor herrmann <gregoa@debian.org>
libemail-valid-perl (1.193-1) unstable; urgency=medium
* Drop xz compression for {binary,source} package, set by default by
dpkg since 1.17.{0,6}.
* Strip trailing slash from metacpan URLs.
* New upstream release.
* Update years of packaging copyright.
* Drop build dependency on libcapture-tiny-perl.
* Declare compliance with Debian Policy 3.9.5.
2013-09-30 - gregor herrmann <gregoa@debian.org>
libemail-valid-perl (1.192-1) unstable; urgency=low
[ gregor herrmann ]
* debian/control: update {versioned,alternative} (build) dependencies.
[ Salvatore Bonaccorso ]
* Change Vcs-Git to canonical URI (git://anonscm.debian.org)
* Change search.cpan.org based URIs to metacpan.org based URIs
[ gregor herrmann ]
* New upstream release.
* Refresh patch test_net.patch.
* Update build dependencies.
* Drop Pre-Depends on old dpkg version.
* Update years of upstream and packaging copyright.
* Declare compliance with Debian Policy 3.9.4.
2012-04-07 - gregor herrmann <gregoa@debian.org>
libemail-valid-perl (0.190-1) unstable; urgency=low
[ Salvatore Bonaccorso ]
* Imported Upstream version 0.188
* Refresh test_net.patch patch
* Drop email_valid_0-187-bug75736.patch patch.
Patch was applied upstream.
[ gregor herrmann ]
* New upstream release 0.190.
* Update years of packaging copyright.
2012-03-14 - Salvatore Bonaccorso <carnil@debian.org>
libemail-valid-perl (0.187-2) unstable; urgency=low
* Team upload.
* Refresh test_net.patch patch
* Add email_valid_0-187-bug75736.patch patch.
Handle correctly valid email addresses '0@example.com'.
Thanks to Christopher Vollick <0@psycoti.ca> for the report
(Closes: #663663)
* Bump Debhelper compat level to 8.
Adjust Build-Depends on versioned debhelper to (>= 8).
* Simplify (build-)dependency on libnet-domain-tld-perl.
Make versioned (Build-)Depends(-Indep) on libnet-domain-tld-perl
unversioned, as the required version is already satisfied in oldstable.
* Update format for copyright file.
Update format to copyright-format 1.0 as released together with Debian
policy 3.9.3.
* Bump Standards-Version to 3.9.3
2012-01-28 - Ansgar Burchardt <ansgar@debian.org>
libemail-valid-perl (0.187-1) unstable; urgency=low
* Team upload.
* New upstream release.
* Use xz compression for source and binary packages.
* debian/watch: Remove comment about the watch file being an example.
2012-01-23 - Ansgar Burchardt <ansgar@debian.org>
libemail-valid-perl (0.186-1) unstable; urgency=low
* Team upload.
* New upstream release.
2011-08-15 - Ansgar Burchardt <ansgar@debian.org>
libemail-valid-perl (0.185-1) unstable; urgency=low
* Team upload.
[ Ansgar Burchardt ]
* New upstream release.
* debian/control: Convert Vcs-* fields to Git.
* debian/copyright: Refer to /usr/share/common-licenses/GPL-1; refer to
"Debian systems" instead of "Debian GNU/Linux systems".
* Bump Standards-Version to 3.9.2 (no changes).
[ Salvatore Bonaccorso ]
* debian/copyright: Replace DEP5 Format-Specification URL from
svn.debian.org to anonscm.debian.org URL.
2010-06-12 - Chris Butler <chrisb@debian.org>
libemail-valid-perl (0.184-1) unstable; urgency=low
* New upstream release
* Switched to source format 3.0 (quilt). Removed quilt framework.
* Upped Standards-Version to 3.8.4 (no changes).
* Add myself to Uploaders and copyright.

See Also

Package Description
libemboss-acd-perl_2.2.0-8_all.deb perl module to parse EMBOSS ACD files
libembperl-perl_2.5.0-4+deb8u1_amd64.deb system for building dynamic websites with Perl
libembryo-bin_1.8.6-2.1+b2_amd64.deb SMALL compiler creating Embryo bytecode
libembryo-dev_1.8.6-2.1+b2_amd64.deb Development files for libembryo1
libembryo1_1.8.6-2.1+b2_amd64.deb SMALL-based abstract machine (AMX) bytecode interpreter
libemma-java_2.0.5312+dfsg-4_all.deb Java code coverage tool
libemos-data_000392+dfsg.1-3_amd64.deb Data files for the ECMWF Interpolation library
libemos-dev_000392+dfsg.1-3_amd64.deb ECMWF Interpolation Library - development
libemos0d_000392+dfsg.1-3_amd64.deb ECMWF Interpolation Library
libemotion-dev_1.8.6-2.1+b2_amd64.deb Development files for libemotion
libemotion1_1.8.6-2.1+b2_amd64.deb Media object creation/manipulation library
libemu-dev_0.2.0+git20120122-1.2_amd64.deb x86 shellcode detection and emulation
libemu2_0.2.0+git20120122-1.2_amd64.deb x86 shellcode detection and emulation
libenca-dev_1.16-1_amd64.deb Extremely Naive Charset Analyser - development files
libenca0_1.16-1_amd64.deb Extremely Naive Charset Analyser - shared library files
Advertisement
Advertisement